%global         sum Spreadsheet python library
%global         commit 98ab3e962ef31c04bba684c82888354eafb243a5
%global         git_tag 1.3.0
%global         shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-xlwt
Version:        1.3.0
Release:    1%{?dist}
Summary:        %{sum}

License:        LGPLv2+ and BSD and BSD with advertising
URL:            http://pypi.python.org/pypi/xlwt
Source0:        https://github.com/python-excel/xlwt/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
A library for generating spreadsheet files that are compatible with
Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. xlwt has
full support for Unicode. Excel spreadsheets can be generated on any
platform without needing Excel or a COM server. The only requirement
is Python 2.6 or later.


%package -n python3-xlwt
Summary:      %{sum}
Provides:     bundled(antlr) = 2.7.7
%{?python_provide:%python_provide python3-xlwt}

%description -n python3-xlwt
A library for generating spreadsheet files that are compatible with
Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. xlwt has
full support for Unicode. Excel spreadsheets can be generated on any
platform without needing Excel or a COM server. The only requirement
is Python 2.6 or later.


%prep
%autosetup -p1 -n xlwt-%{commit}
sed -i "s|tests/python.bmp|python.bmp|g" tests/test_bitmaps.py


%build
%py3_build


%check
cd tests
PYTHONPATH=.. %{__python3} -m unittest discover


%install
%py3_install
mkdir tmp_docs
cp -ar examples docs tmp_docs


%files -n python3-xlwt
%license docs/licenses.rst
%doc README.rst tmp_docs/*
%{python3_sitelib}/xlwt
%{python3_sitelib}/*.egg-info


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-1
- initial build
